Debian Bug report logs - #584690
live-initramfs: fail to tell sendsigs to not kill its process during shutdown

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>

Date: Sat, 5 Jun 2010 16:57:01 UTC

Severity: normal

Fixed in version live-boot/2.0~a6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#584690; Package initscripts. (Sat, 05 Jun 2010 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 05 Jun 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: killprocs: kills root filesystem failing to reboot
Date: Sat, 05 Jun 2010 18:54:02 +0200
Package: initscripts
Version: 2.88dsf-5
Severity: normal
File: killprocs


When the root filesystem requires a process to work and killprocs kills
that process the system ay fail to reboot because it is unable to read
the reboot executable.

For me

sudo reboot

works fine but pressing Ctrl+Alt+del gives root shell instead of
rebooting while running debian-live off httpfs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#584690; Package initscripts. (Sat, 05 Jun 2010 22:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 05 Jun 2010 22:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 584690@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>, 584690@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#584690: killprocs: kills root filesystem failing to reboot
Date: Sun, 6 Jun 2010 00:39:28 +0200
[Michal Suchanek]
> When the root filesystem requires a process to work and killprocs
> kills that process the system ay fail to reboot because it is unable
> to read the reboot executable.

This is a bug in whatever provides the root file system.  The sendsigs
script provide a mechanism for services to avoid having their process
killed by sendsigs during shutdown (the killprocs script is only used
in runlevel 1 and is unrelated to reboot).

Which package fail to register their daemons pid using the omitpid
feature in sendsigs?  This issue should be reassigned to that package.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#584690; Package initscripts. (Mon, 07 Jun 2010 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michal Suchanek" <michal.suchanek@ruk.cuni.cz>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 07 Jun 2010 10:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 584690@bugs.debian.org (full text, mbox):

From: "Michal Suchanek" <michal.suchanek@ruk.cuni.cz>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: "584690@bugs.debian.org" <584690@bugs.debian.org>
Subject: Re: [Pkg-sysvinit-devel] Bug#584690: killprocs: kills root filesystem failing to reboot
Date: Mon, 07 Jun 2010 12:52:25 +0200
Excerpts from Petter Reinholdtsen's message of Sun Jun 06 00:39:28 +0200 2010:
> [Michal Suchanek]
> > When the root filesystem requires a process to work and killprocs
> > kills that process the system ay fail to reboot because it is unable
> > to read the reboot executable.
> 
> This is a bug in whatever provides the root file system.  The sendsigs
> script provide a mechanism for services to avoid having their process
> killed by sendsigs during shutdown (the killprocs script is only used
> in runlevel 1 and is unrelated to reboot).
> 
> Which package fail to register their daemons pid using the omitpid
> feature in sendsigs?  This issue should be reassigned to that package.
> 

The mount is done by live-initramfs so I guess that's where the
issue is.

However, killprocs has no such exclusion mechanism afaict.

Is that intentional that going single user kills the processes that
should not ever be killed?

Thanks

Michal
-- 
Michal Suchánek
michal.suchanek@ruk.cuni.cz
tel 224491810 fax 224491594
Univerzita Karlova v Praze
Ústav Výpočetní Techniky
Ovocný trh 3
Praha 1




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#584690; Package initscripts. (Mon, 07 Jun 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 07 Jun 2010 11:42:04 GMT) Full text and rfc822 format available.

Message #20 received at 584690@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>, 584690@bugs.debian.org
Subject: Re: Bug#584690: killprocs: kills root filesystem failing to reboot
Date: Mon, 7 Jun 2010 13:38:02 +0200
reassign 584690 live-initramfs
retitle 584690 live-initramfs: fail to tell sendsigs to not kill its process during shutdown
thanks

[Michal Suchanek]
> The mount is done by live-initramfs so I guess that's where the
> issue is.

OK.  Reassigning there.

> However, killprocs has no such exclusion mechanism afaict.
> 
> Is that intentional that going single user kills the processes that
> should not ever be killed?

Probably not.  Single user and runlevel 1 is broken in so many ways,
that it will take a while to fix it.  I try to push Debian in that
direction, but we are no-where near a solution yet.

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package 'initscripts' to 'live-initramfs'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 07 Jun 2010 11:57:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions sysvinit/2.88dsf-5. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 07 Jun 2010 11:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'live-initramfs: fail to tell sendsigs to not kill its process during shutdown' from 'killprocs: kills root filesystem failing to reboot' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 07 Jun 2010 11:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584690; Package live-initramfs. (Mon, 07 Jun 2010 15:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 07 Jun 2010 15:30:08 GMT) Full text and rfc822 format available.

Message #31 received at 584690@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 584690@bugs.debian.org
Cc: 584690-submitter@bugs.debian.org
Subject: Re: live-initramfs: fail to tell sendsigs to not kill its process during shutdown
Date: Mon, 07 Jun 2010 17:26:52 +0200
tag 584690 pending
thanks

Michal provided a patch which is applied in live-config (aka
live-initramfs 2.x) now, marking as pending.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 07 Jun 2010 15:30:11 GMT) Full text and rfc822 format available.

Message sent on to "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>:
Bug#584690. (Mon, 07 Jun 2010 15:30:16 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 15 Jul 2010 17:18:16 GMT) Full text and rfc822 format available.

Notification sent to "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Thu, 15 Jul 2010 17:18:16 GMT) Full text and rfc822 format available.

Message #41 received at 584690-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 584690-close@bugs.debian.org
Subject: Bug#584690: fixed in live-boot 2.0~a6-1
Date: Thu, 15 Jul 2010 17:17:55 +0000
Source: live-boot
Source-Version: 2.0~a6-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0~a6-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0~a6-1_all.deb
live-boot_2.0~a6-1.diff.gz
  to main/l/live-boot/live-boot_2.0~a6-1.diff.gz
live-boot_2.0~a6-1.dsc
  to main/l/live-boot/live-boot_2.0~a6-1.dsc
live-boot_2.0~a6-1_all.deb
  to main/l/live-boot/live-boot_2.0~a6-1_all.deb
live-boot_2.0~a6.orig.tar.gz
  to main/l/live-boot/live-boot_2.0~a6.orig.tar.gz
live-initramfs_2.0~a6-1_all.deb
  to main/l/live-boot/live-initramfs_2.0~a6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Jun 2010 06:03:21 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0~a6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 584690
Changes: 
 live-boot (2.0~a6-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating update-version script.
   * Updating update-version script.
   * Removing keyboard bottom script, live-config takes care about that
     now.
   * Removing getty and login wrappers, live-config takes care about that
     now.
   * Removing configure_init bottom script, live-config takes care about
     that now.
 .
   [ Michal Suchanek ]
   * Moving check for iso image in initscript from the start to the end
     before ejecting media.
   * Using sendsigs.omit to avoid killing / (Closes: #584690).
Checksums-Sha1: 
 2b3b0c6294fd394a660d784639ee80277fbc5464 1239 live-boot_2.0~a6-1.dsc
 e81e585115a9f3aee6e545baae93651d527ce1ac 107900 live-boot_2.0~a6.orig.tar.gz
 05f054208ffe983c0af39bd2ea244c098e48afd7 15804 live-boot_2.0~a6-1.diff.gz
 6b803227d9434c2022be75a386c8f5892e84e61f 72908 live-boot_2.0~a6-1_all.deb
 307c154492509f5dd7ef4b2676c0ef6064e3cb03 26722 live-boot-initramfs-tools_2.0~a6-1_all.deb
 a9832d630d6e348431679e73312a45da54f14386 2642 live-initramfs_2.0~a6-1_all.deb
Checksums-Sha256: 
 847b4c1597b1e430a242b2697f6ea4ea4d5909c829ebb500f9519a8409aae016 1239 live-boot_2.0~a6-1.dsc
 6518eeb456002074e50115686d39987f93c4096d2aeaf7a0ee340edcc4aa032b 107900 live-boot_2.0~a6.orig.tar.gz
 0d7e6d94821075211bf1c276aae32a90d8d909e44428d90a73cfcf9f463948aa 15804 live-boot_2.0~a6-1.diff.gz
 ecf118317a88e8c2e84e2b0d5206bf8db9b05820c37a7074876e909734406c32 72908 live-boot_2.0~a6-1_all.deb
 83f15721690f7b2b1ef7069972ccb88f56fd1e9437946c630d06297dfac68f30 26722 live-boot-initramfs-tools_2.0~a6-1_all.deb
 8b57dde4e563b0ec8d740b106eeb255020669032c8d0e9ffc790c40d1a17b364 2642 live-initramfs_2.0~a6-1_all.deb
Files: 
 70a80d2ceb373e780e9acfaf48054f8c 1239 misc optional live-boot_2.0~a6-1.dsc
 9f46cf93f75ed9494ecec019b5f3088a 107900 misc optional live-boot_2.0~a6.orig.tar.gz
 50a502239379b80b58956ec753cdc087 15804 misc optional live-boot_2.0~a6-1.diff.gz
 58223a08d5c074d752313b1759f86b91 72908 misc optional live-boot_2.0~a6-1_all.deb
 8f37adf7c9076549563a8b7e01eb2510 26722 misc optional live-boot-initramfs-tools_2.0~a6-1_all.deb
 d0513448a7d18588a46ee664c1a9bf93 2642 misc optional live-initramfs_2.0~a6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwNwnEACgkQ+C5cwEsrK5471QCfXYE4Z3U0ZJJfO507jgR520eh
Y0wAn2aN6UHPhrFfseRJkjpGkI/sTvhv
=Brbo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:39:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:20:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.